const { rgba } = require('polished');
const { colors } = require('../colors');

const buttonVariants = {
  fill: {
    primary: {
      backgroundImage: `linear-gradient(180deg, ${colors['green-700']}, ${colors['green-800']})`,
      backgroundColor: '',
      borderColor: colors['green-900'],
      color: colors.white,
      '&:hover': {
        backgroundColor: colors['green-800'],
        backgroundImage: `linear-gradient(180deg, ${colors['green-800']}, ${colors['green-800']})`,
      },
      '&:active': {
        boxShadow: `inset 0 2px 3px 0 ${rgba(colors['gray-900'], 0.3)}`,
      },
    },
    secondary: {
      backgroundImage: `linear-gradient(180deg, ${colors['blue-400']}, ${colors['blue-500']})`,
      backgroundColor: '',
      borderColor: colors['blue-600'],
      color: colors.white,
      '&:hover': {
        backgroundColor: colors['blue-500'],
        backgroundImage: `linear-gradient(180deg, ${colors['blue-500']}, ${colors['blue-500']})`,
        borderColor: '',
      },
      '&:active': {
        boxShadow: `inset 0 2px 3px 0 ${rgba(colors['gray-900'], 0.3)}`,
      },
    },
    danger: {
      backgroundImage: `linear-gradient(180deg, ${colors['maple-400']}, ${colors['maple-500']})`,
      backgroundColor: '',
      borderColor: colors['maple-600'],
      color: colors.white,
      '&:hover': {
        backgroundColor: colors['maple-500'],
        backgroundImage: `linear-gradient(180deg, ${colors['maple-500']}, ${colors['maple-500']})`,
        borderColor: '',
      },
      '&:active': {
        boxShadow: `inset 0 2px 3px 0 ${rgba(colors['gray-900'], 0.3)}`,
      },
    },
    neutral: {
      backgroundImage: `linear-gradient(180deg, ${colors.white}, ${colors['gray-50']})`,
      backgroundColor: '',
      borderColor: colors['gray-200'],
      color: colors['gray-800'],
      '&:hover': {
        backgroundColor: colors['gray-50'],
        backgroundImage: `linear-gradient(180deg, ${colors['gray-50']}, ${colors['gray-50']})`,
        borderColor: '',
      },
      '&:active': {
        boxShadow: `inset 0 1px 4px 0 ${rgba(colors['gray-900'], 0.3)}`,
      },
    },
  },
  outline: {
    primary: {
      color: colors['green-800'],
      backgroundColor: colors.white,
      borderColor: colors['green-800'],
      '&:hover': {
        backgroundColor: colors['green-50'],
        color: '',
        boxShadow: 'none',
        backgroundImage: 'none',
      },
      '&:active': {
        boxShadow: `inset 0 1px 4px 0 ${rgba(colors['gray-900'], 0.3)}`,
      },
    },
    secondary: {
      color: colors['blue-500'],
      backgroundColor: colors.white,
      borderColor: colors['blue-500'],
      '&:hover': {
        backgroundColor: colors['blue-50'],
        color: '',
        boxShadow: 'none',
        backgroundImage: 'none',
      },
      '&:active': {
        boxShadow: `inset 0 1px 4px 0 ${rgba(colors['gray-900'], 0.3)}`,
      },
    },
    danger: {
      color: colors['maple-500'],
      backgroundColor: colors.white,
      borderColor: colors['maple-500'],
      '&:hover': {
        backgroundColor: colors['maple-50'],
        color: '',
        boxShadow: 'none',
        backgroundImage: 'none',
      },
      '&:active': {
        boxShadow: `inset 0 1px 4px 0 ${rgba(colors['gray-900'], 0.3)}`,
      },
    },
  },
};

const buttonIconVariants = {
  fill: {
    primary: {
      fill: colors.white,
      color: colors.white,
    },
    secondary: {
      fill: colors.white,
      color: colors.white,
    },
    danger: {
      fill: colors.white,
      color: colors.white,
    },
    neutral: {
      fill: colors['gray-800'],
      color: colors.white,
    },
  },
  outline: {
    primary: {
      fill: colors['green-800'],
      color: colors.white,
    },
    secondary: {
      fill: colors['blue-500'],
      color: colors.white,
    },
    danger: {
      fill: colors['maple-500'],
      color: colors.white,
    },
    neutral: {
      fill: colors['gray-800'],
      color: colors.white,
    },
  },
};

module.exports = { buttonVariants, buttonIconVariants };
