const { darken, saturate, rgba } = require('polished');
const { colors } = require('../colors');

const blue = colors.blue;
const lightBlue = darken(0.2, saturate(0.2, colors['blue-100']));
const sortableButtonColor = rgba(colors.blue, 0.1);
const progressBackground = `linear-gradient(
  45deg,
  ${blue} 0%,
  ${lightBlue} 25%,
  ${blue} 75%,
  ${lightBlue} 100%
)`;

const tableStyles = {
  progress: {
    background: progressBackground,
    backgroundSize: '400% 400%',
    loadingBackground: colors['snow-300'],
  },
  tr: {
    hover: {
      background: rgba(colors['blue-100'], 0.45),
    },
    borderColor: colors['snow-300'],
  },
  dropdown: {
    hover: {
      background: colors['gray-50'],
    },
  },
  sortable: {
    button: {
      background: sortableButtonColor,
    },
  },
};

module.exports = { tableStyles };
